//
//  CustomerServiceRootVC+segmentdPage.swift
//  MobilePortal
//
//  Created by caiyang on 2020/5/22.
//  Copyright © 2020 yin chen. All rights reserved.
//

import UIKit

extension CustomerServiceRootVC {
    func initData(){
        self.addChildViewController(segmentedPageViewController)
        self.view .addSubview(self.segmentedPageViewController.view)
        segmentedPageViewController.didMove(toParentViewController: self)
        segmentedPageViewController.view.snp.makeConstraints {[weak self] (make) in
//            make.edges.equalTo(self.view)
            make.top.equalTo((self?.view.top)!).offset((self?.collectionView.originY)!+(self?.collectionView.height)!)
            make.left.equalTo((self?.view)!)
            make.right.equalTo((self?.view)!)
            make.height.equalTo(SCREEN_HEIGHT()-((self?.collectionView.originY)!+(self?.collectionView.height)!)-(self?.contactBtnView.height)!)
        }
        
    }
}
